/* Base button styles */
.btn {
  font-family: var(--header-font);
}

.button,
.button-primary,
.button-vermillion,
.button-white,
.button-secondary,
.button-outline {
  border-radius: 5px;
  padding: 0.75rem 2rem;
  width: auto;
  min-width: 250px;
  max-width: 300px;
  font-size: 1.25rem;
  font-weight: 700;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  gap: 0.25em;
  cursor: pointer;
  transition: all 0.15s linear;
  text-decoration: none;
  border: none;
  white-space: nowrap;
}

/* Primary button */
.button-primary {
  background-color: var(--edifecs-primary);
  color: var(--white);
}

.button-primary:hover {
  background-color: #47515a;
  color: var(--white);
}

/* Vermillion button */
.button-vermillion {
  background-color: var(--vermillion);
  color: var(--white);
}

.button-vermillion:hover {
  background-color: #e65330;
  color: var(--white);
}

/* White button */
.button-white {
  background-color: var(--white);
  color: var(--vermillion);
  border: 1px solid white;
}

.button-white:hover {
  background-color: var(--light-gray);
}

/* Secondary button */
.button-secondary {
  background-color: var(--white);
  color: var(--edifecs-primary);
}

/* Outline button */
.button-outline {
  background-color: transparent;
  border: 1px solid white;
  color: white;
  display: inline;
}

.button-outline:hover {
  background-color: white;
  color: var(--vermillion);
}

.button-outline:visited {
  background-color: transparent;
  color: white;
}

/* Disabled state */
button:disabled,
.button:disabled,
.button-primary:disabled,
.button-vermillion:disabled,
.button-white:disabled,
.button-secondary:disabled,
.button-outline:disabled {
  background-color: #d0d0d0;
  border-color: #d0d0d0;
  color: #e6e6e6;
  cursor: not-allowed;
}
